## org.eclipse.emf.ecore.xml.type.impl
Class ProcessingInstructionImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.xml.type.impl.ProcessingInstructionImpl

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, ProcessingInstruction

    public class ProcessingInstructionImpl

extends EObjectImpl
implements ProcessingInstruction

An implementation of the model object 'Processing Instruction Type'.

The following features are implemented:

- `Data`
- `Target`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected java.lang.String` `data` The cached value of the '`Data`' attribute
`protected static java.lang.String` `DATA_EDEFAULT` The default value of the '`Data`' attribute
`protected java.lang.String` `target` The cached value of the '`Target`' attribute
`protected static java.lang.String` `TARGET_EDEFAULT` The default value of the '`Target`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `ProcessingInstructionImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getData()`
`java.lang.String` `getTarget()`
`void` `setData(java.lang.String newData)`
`void` `setTarget(java.lang.String newTarget)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### DATA_EDEFAULT

    protected static final java.lang.String DATA_EDEFAULT

  The default value of the '`Data`' attribute.

  See Also:
    `getData()`

### data

    protected java.lang.String data

  The cached value of the '`Data`' attribute.

  See Also:
    `getData()`

### TARGET_EDEFAULT

    protected static final java.lang.String TARGET_EDEFAULT

  The default value of the '`Target`' attribute.

  See Also:
    `getTarget()`

### target

    protected java.lang.String target

  The cached value of the '`Target`' attribute.

  See Also:
    `getTarget()`

Constructor Detail

### ProcessingInstructionImpl

    protected ProcessingInstructionImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EObjectImpl`

### getData

    public java.lang.String getData()

  Specified by:
    `getData` in interface `ProcessingInstruction`
  Returns:
    the value of the 'Data' attribute.
  See Also:
    `ProcessingInstruction.setData(String)`, `XMLTypePackage.getProcessingInstruction_Data()`

### setData

    public void setData(java.lang.String newData)

  Specified by:
    `setData` in interface `ProcessingInstruction`
  Parameters:
    `newData` - the new value of the 'Data' attribute.
  See Also:
    `ProcessingInstruction.getData()`

### getTarget

    public java.lang.String getTarget()

  Specified by:
    `getTarget` in interface `ProcessingInstruction`
  Returns:
    the value of the 'Target' attribute.
  See Also:
    `ProcessingInstruction.setTarget(String)`, `XMLTypePackage.getProcessingInstruction_Target()`

### setTarget

    public void setTarget(java.lang.String newTarget)

  Specified by:
    `setTarget` in interface `ProcessingInstruction`
  Parameters:
    `newTarget` - the new value of the 'Target' attribute.
  See Also:
    `ProcessingInstruction.getTarget()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `BasicEObjectImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `BasicEObjectImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BasicEObjectImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.